## EMBOSS: seqretall

# Program seqretall

## Function

Reads and writes (returns) a set of sequences one at a time

## Description

This application is now replaced by "seqret" which is the same.

In early pre-release versions of EMBOSS, seqret read only one sequence so this program was needed to read more sequences. We have retained it for compatibility only.

## Usage

Here is a sample session with seqretall.

    % seqretall
    Reads and writes (returns) a set of sequences one at a time
    Input sequence(s): embl:eclac*
    Output sequence [eclac.fasta]:

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          seqall     Sequence database USA
      [-outseq]            seqoutall  Output sequence(s) USA

       Optional qualifiers: (none)
       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
[-outseq] (Parameter 2) | Output sequence(s) USA | Writeable sequence(s) | <sequence>.format
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

## Output file format

The output from seqretall is a set of sequences, and by default will be written in FASTA format all in one file.

In some cases the output filename will be the same as the input filename, for example if you try to read the output from the example run with seqretall and give no output format.

As seqretall reads only the first sequence before opening the output file it will overwrite the sequences before reading has completed, with unpredictable result. Note that this is not true of seqretset which reads all sequences into memory at startup.

## Data files

## Notes

## References

## Warnings

## Diagnostic Error Messages

## Exit status

## Known bugs

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
infoseq | Displays some simple information about sequences
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretset | Reads and writes (returns) a set of sequences all at once
seqretsplit | Reads and writes (returns) sequences in individual files
splitter | Split a sequence into (overlapping) smaller sequences
swissparse | Retrieves sequences from swissprot using keyword search
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
vectorstrip | Strips out DNA between a pair of vector sequences

## Author(s)

This application was written by Peter Rice (pmr@sanger.ac.uk) Informatics Division, The Sanger Centre, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments